
// -*- C++ -*-
// $Id$
// Definition for Win32 Export directives.
// This file is generated automatically by generate_export_file.pl testSched_Common
// ------------------------------
#ifndef TESTSCHED_COMMON_EXPORT_H
#define TESTSCHED_COMMON_EXPORT_H

#include "ace/config-all.h"

#if !defined (TESTSCHED_COMMON_HAS_DLL)
#  define TESTSCHED_COMMON_HAS_DLL 1
#endif /* ! TESTSCHED_COMMON_HAS_DLL */

#if defined (TESTSCHED_COMMON_HAS_DLL) && (TESTSCHED_COMMON_HAS_DLL == 1)
#  if defined (TESTSCHED_COMMON_BUILD_DLL)
#    define testSched_Common_Export ACE_Proper_Export_Flag
#    define TESTSCHED_COMMON_SINGLETON_DECLARATION(T) ACE_EXPORT_SINGLETON_DECLARATION (T)
#    define TESTSCHED_COMMON_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_EXPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  else /* TESTSCHED_COMMON_BUILD_DLL */
#    define testSched_Common_Export ACE_Proper_Import_Flag
#    define TESTSCHED_COMMON_SINGLETON_DECLARATION(T) ACE_IMPORT_SINGLETON_DECLARATION (T)
#    define TESTSCHED_COMMON_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK) ACE_IMPORT_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#  endif /* TESTSCHED_COMMON_BUILD_DLL */
#else /* TESTSCHED_COMMON_HAS_DLL == 1 */
#  define testSched_Common_Export
#  define TESTSCHED_COMMON_SINGLETON_DECLARATION(T)
#  define TESTSCHED_COMMON_SINGLETON_DECLARE(SINGLETON_TYPE, CLASS, LOCK)
#endif /* TESTSCHED_COMMON_HAS_DLL == 1 */

// Set TESTSCHED_COMMON_NTRACE = 0 to turn on library specific tracing even if
// tracing is turned off for ACE.
#if !defined (TESTSCHED_COMMON_NTRACE)
#  if (ACE_NTRACE == 1)
#    define TESTSCHED_COMMON_NTRACE 1
#  else /* (ACE_NTRACE == 1) */
#    define TESTSCHED_COMMON_NTRACE 0
#  endif /* (ACE_NTRACE == 1) */
#endif /* !TESTSCHED_COMMON_NTRACE */

#if (TESTSCHED_COMMON_NTRACE == 1)
#  define TESTSCHED_COMMON_TRACE(X)
#else /* (TESTSCHED_COMMON_NTRACE == 1) */
#  if !defined (ACE_HAS_TRACE)
#    define ACE_HAS_TRACE
#  endif /* ACE_HAS_TRACE */
#  define TESTSCHED_COMMON_TRACE(X) ACE_TRACE_IMPL(X)
#  include "ace/Trace.h"
#endif /* (TESTSCHED_COMMON_NTRACE == 1) */

#endif /* TESTSCHED_COMMON_EXPORT_H */

// End of auto generated file.
